package cz.muni.fi.pv239.cv3counter

import android.content.Context
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

	override fun onCreate(savedInstanceState: Bundle?) {
		super.onCreate(savedInstanceState)
		setContentView(R.layout.activity_main)

		val sharedPreferences = getSharedPreferences("my", Context.MODE_PRIVATE)
		val counter = sharedPreferences.getInt("counter", 1)

		main_counter.text = counter.toString()

		sharedPreferences.edit().putInt("counter", counter + 1).apply()
	}
}
